Subject: bug#69305: outline-minor-mode for tabulated-list-mode

From: Eli Zaretskii <[email-masked]>
Date: Sun, 25 Feb 2024 10:26:04 +0200

> Date: Sun, 25 Feb 2024 01:53:55 -0600
> Cc: [email-masked], [email-masked]
> From: Adam Porter <[email-masked]>
> 
> By the way, with regard to grouping buffers specifically, this is what 
> my Bufler package does, again in an extensible, user-programmable way:
> 
> https://github.com/alphapapa/bufler.el
> 
> I wrote it after putting significant effort into using Ibuffer's 
> grouping features, which didn't meet my needs.
> 
> Bufler supports grouping buffers by many different attributes, such as 
> directory, filename, mode, project, parent-project, TRAMP status, etc. 
> And, significantly, it does such grouping dynamically at multiple 
> levels.  For example, within a "~/src/emacs" directory, subgroups for 
> git projects within that directory can be created dynamically, providing 
> a grouping like:
> 
> + Dir: ~/src/emacs
> |-+ Project: ~/src/emacs/bufler.el
> | |- *magit-status: bufler.el*
> |-+ Project: ~/src/emacs/activities.el
>    |- README.org

Thanks.  Once again, my proposal (and frankly, an expectation) was
that we provide a much simpler customization facility for grouping
entries in a tabulated-list-mode buffer.  I won't mind that the
current fancy customization is extended to use something like what
bufler.el does (although it needs to be generalize to support more
than buffer lists), but that will not fill the gap that I feel exists
in what we offer now.